> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plugkit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename, pause, resume or rebudget a campaign



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/ads/{accountId}/campaigns/{campaignId}
openapi: 3.0.0
info:
  title: PlugKit API
  description: >-
    One API to publish, schedule and message across Instagram, WhatsApp, TikTok,
    Telegram, YouTube and X.
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/ads/{accountId}/campaigns/{campaignId}:
    patch:
      tags:
        - ads
      summary: Rename, pause, resume or rebudget a campaign
      operationId: AdsController_updateCampaign
      parameters:
        - name: accountId
          required: true
          in: path
          schema:
            type: string
        - name: campaignId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCampaignDto'
      responses:
        '200':
          description: ''
      security:
        - api-key: []
components:
  schemas:
    UpdateCampaignDto:
      type: object
      properties:
        name:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - PAUSED
        dailyBudget:
          type: number
          description: Minor units of the account currency.
        lifetimeBudget:
          type: number
          description: Minor units of the account currency.
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: sk_...
      type: http

````